Subject: Re: wu-ftpd on Solaris 2.4 - fixed

From: Ed Killian <[email-masked]>
Date: Thu, 25 May 1995 15:05:27 -0400

My original posting:
> 
> I'm having a problem with wu-ftpd on a Solaris 2.4 Sun.  All seems to work
> OK except setting up a group and a password for that group.  I give the
> commands
> 	QUOTE SITE GROUP groupname
> 	QUOTE SITE GPASS password
> 
> but I keep getting
> 	530 Group access request incorrect.
> 
> I know the password because I just set it up, so that's not the problem.
> Anybody have any ideas.  Sorry if this has been discussed already, but
> I'm new to the list ( about 20 minutes ago ).
> 
> Thanks.
> 
> Ed Killian
> [email-masked]
> 

My fault.  It seems I did not understand the concept of chroot.  I was only
putting the groupname into the ~ftp/etc/group file.  It seems that when the
ftpd makes a call to getgrnam() it always looks in the /etc/group file
even after the chroot.  Once I put that group in the /etc/group file,
everything seems to work fine.